Passer au contenu principal
POST
Issue a sub-account key

Autorisations

Authorization
string
header
requis

Your API key, sent as Authorization: Bearer <key>.

Paramètres de chemin

id
string<uuid>
requis

The sub-account id.

Corps

application/json
name
string
défaut:default
Required string length: 1 - 64
allowedTaskTypes
string[]

Self-serve engines the key may submit. Empty or absent means all of them.

dailyCreditLimit
number | null
Plage requise: 0.01 <= x <= 20000000Doit être un multiple de 0.01
expiresAt
string<date-time> | null

Between 5 minutes and 2 years from now.

Réponse

The new key, with the raw key in key.

success
boolean
requis
data
object
requis